erstes_element(X,[X|Rs]).

letztes_element(X,[X]).
letztes_element(X,[K|Rs]) :- letztes_element(X,Rs).

vorletztes_element(X,[X,_]).
vorletztes_element(X,[K|Rs]) :- vorletztes_element(X,Rs).

element(X,[X|Rs]).
element(X,[K|Rs]) :- element(X,Rs).

geloescht(X,[],[]).
geloescht(X,[X|Rs],RLoeschs) :- geloescht(X,Rs,RLoeschs).
geloescht(X,[K|Rs],[K|RLoeschs]) :- X\=K, geloescht(X,Rs,RLoeschs).

geloescht1(X,[],[]).
geloescht1(X,[X|Rs],Rs).
geloescht1(X,[K|Rs],[K|RLoeschs]) :- X\=K, geloescht1(X,Rs,RLoeschs).

kein_element(X,[]).
kein_element(X,[K|Rs]) :- X\=K, kein_element(X,Rs).

append([],Ls,Ls).
append([K|Rs],Ls,[K|Es]) :- append(Rs,Ls,Es).

revers([],[]).
revers([K|Rs],Es) :- revers(Rs,Zwischs),append(Zwischs,[K],Es).
