 element(K,[K|Rs]).
element(X,[K|Rs]) :- element(X,Rs).


/* ist_menge(Ls) gilt genau dann, wenn die Liste Ls eine Menge darstellt,
d.h. kein Element mehrfach in Ls vorkommt */

ist_menge([]).
ist_menge([K|Rs]) :- not element(K,Rs), ist_menge(Rs).


/* disjunkt(Ls,Ms) gilt genau dann, wenn Ls und Ms kein Element gemeinsam
haben.*/

disjunkt([],Ms) :- ist_menge(Ms).
disjunkt([K|Rs],Ms) :- ist_menge([K|Rs]), ist_menge(Ms),
                       not element(K,Ms), disjunkt(Rs,Ms).
                       
/* liste_zu_menge(Ls,Ms) ist wahr, wenn Ms die Elemente von Ls ohne 
mehrfaches Vorkommen enthlt. */

/*liste_zu_menge([],[]).
liste_zu_menge(Ls,[K|Rs]) :- element(K,Ls),
                             geloescht(K,Ls,L1s), liste_zu_menge(L1s,Rs).
                             
geloescht(X,[],[]).
geloescht(K,[K|Rs],LGels) :- geloescht(K,Rs,LGels).
geloescht(X,[K|Rs],[K|RGels]) :- X\=K, geloescht(X,Rs,RGels).*/

