/*
gesch(maier).
gesch(schmidt).
gesch(weber).

tag(montag).
tag(dienstag).
tag(mittwoch).

loesung(Ha,HWer,Le,LWer,Ma,MWer) :-
   tag(Ha), Ha \= montag, 
   tag(Le), tag(Ma),
   gesch(MWer), MWer \= maier,
   gesch(HWer), HWer \= weber,
   gesch(LWer), LWer \= schmidt,
   (Ha = dienstag, HWer \= maier;
    Le = dienstag, LWer \= maier),
   Ma = montag, MWer \= schmidt,
   Ha = mittwoch, HWer \= schmidt,
   Le = mittwoch, LWer \= weber,
   Ma = mittwoch, MWer \= weber.
*/

person(maier).
person(schmidt).
person(weber).

loesung(Mo,Di,Mi,HH,L,MA) :-
   person(Mo), Mo \= schmidt,
   person(Di), Di \= maier, Di \= Mo,
   person(Mi), Mi \= weber, Mi \= Mo, Mi \= Di,
   person(HH), HH \= weber, HH \= Mo,
   person(L), L \= schmidt, L \= HH,
   person(MA), MA \= maier, MA \= HH, MA \= L,
   not(Mi = schmidt, HH = schmidt).
    