/* Bubblesort (Sortieren durch Austausch 
   -------------------------------------
   Solange die Liste Ls nicht geordnet ist, wird folgendes Verfahren
   wiederholt: In der Liste werden alle Paare benachbarter Elemente 
   untersucht, ob sie geordnet sind. Wenn nicht, werden die Elemente
   vertauscht. */

b_sortiert(Ls,Bs) :- not geordnet(Ls), bubble(Ls,Ys), 
                     b_sortiert(Ys,Bs), !.
b_sortiert(Ls,Ls).

bubble([X],[X]).
bubble([X,Y|Rs], [X,B|Ys]) :-
     X =< Y, bubble([Y|Rs],[B|Ys]).
bubble([X,Y|Rs], [Y,B|Ys]) :-
     X > Y, bubble([X|Rs],[B|Ys]).
          
geordnet([X]).
geordnet([X,Y|Rs]) :- X =< Y, geordnet([Y|Rs]).