/* Sortieren durch Einfgen
   ------------------------
   Um eine Liste zu sortieren, wird zunchst der Rest Rs der Liste sortiert,
   der Kopf K wird anschlieend an der richtigen Stelle in die Restliste
   eingefgt: */

e_sortiert([],[]).   
e_sortiert([K|Rs],Es) :- e_sortiert(Rs,Ys), eingefuegt(K,Ys,Es).
   
   
/* Das Einfgen von X in die leere Liste ist klar.
   Wenn X kleiner ist als der Listenkopf, so ist X neuer Listenkopf,
   andernfalls wird X in die Restliste eingefgt. */
       
eingefuegt(X,[],[X]).
eingefuegt(X,[K|Rs],[X,K|Rs]) :- X =< K.
eingefuegt(X,[K|Rs],[K|Ys]) :- X > K, eingefuegt(X,Rs,Ys).
   